#### Previous topic

scipy.interpolate.BSpline.basis_element

#### Next topic

scipy.interpolate.BSpline.antiderivative

# scipy.interpolate.BSpline.derivative

`BSpline.``derivative`(nu=1)

  Return a b-spline representing the derivative.

  Parameters:

  nu : int, optional

  > Derivative order. Default is 1.

  Returns:

  b : BSpline object

  > A new instance representing the derivative.

  See also

  `splder`, `splantider`